stages:
  - git_static_analysis

Gitleaks check:
  image: registry.gitlab.com/bodzen/auto-docker-images/gitleaks-sa-base-image:omega-7
  stage: git_static_analysis
  script:
    - mkdir -p gitleaks/
    - gitleaks --repo-path=. --config=/opt/config.toml --report=gitleaks/report.json
  except:
    - "/^alpha-.*$/"
    - "/^beta-.*$/"
    - "/^omega-.*$/"
  artifacts:
    paths:
      - gitleaks/
    expire_in: 15 mins
    when: always
